package com.isoft.project.monitor.mapper;

import com.isoft.framework.interceptor.annotation.TableSeg;
import com.isoft.project.monitor.domain.SysLogininfor;
import com.isoft.project.monitor.dto.SysLogininforReqDTO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 系统访问日志情况信息 数据层
 * 
 * @author isoft
 */
@Repository
public interface SysLogininforCommonMapper
{

    /**
     * 查询系统登录日志集合
     * 
     * @param logininfor 访问日志对象
     * @return 登录记录集合
     */
    public List<SysLogininfor> selectLogininforList(SysLogininforReqDTO logininfor);

}
