package com.isoft.common.enums;

import lombok.Getter;

@Getter
public enum SequenceEnum {
    /*
        drop sequence ZT_FIRST.ST_OPER_BUSI_ID_SEQ_202009;
        drop sequence ZT_FIRST.SYS_LOG_INFO_SEQ_202009;
        drop sequence ZT_FIRST.SEQ_WF_TASK_FIELD_202009;
        drop sequence ZT_FIRST.SEQ_WF_TASK_FIELD_HI_202009;
    */
    OPER_LOG("ST_OPER_BUSI_ID_SEQ","操作日志"),
    LOG_INFO("SYS_LOG_INFO_SEQ","日志"),
    TASK_FIELD("SEQ_WF_TASK_FIELD","工作流"),
    TASK_FIELD_HI("SEQ_WF_TASK_FIELD_HI","工作流历史"),
    ;

    SequenceEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;
    private String msg;

}
