package com.isoft.common.utils;

import java.util.regex.Pattern;

public class NumberUtil {

    //数字秘钥
    private final static long SECRET_KEY = 2;
    //转换字符（0-9分别为["D","e","#","C","A","b","J","I","z","M"]
    private final static String CONVERT_KEY = "DeXA3JIz6";
    //混淆字母
    private final static String CONFUSED_WORDS_KEY = "Fx5Ng8";
    //总加密字符串长度
    private final static int LEN_KEY = 5;

    /**
     *   加密算法
     **/
    public static String encrypt(String str){

        //数字校验
        if(!isNumber(str)){
            System.out.println(str + "不是数字");
            return null;
        }

        if (str.length()<3){
            str="11"+str;
        }
        long number = Long.parseLong(str);
        long newNumber = number * SECRET_KEY;
        String[] numArr = String.valueOf(newNumber).split("");
        String[] initArr = CONVERT_KEY.split("");
        int len = numArr.length;
        StringBuffer buffer = new StringBuffer();

        //数字转字母
        for(int i = 0; i < len; i++){
            int inx = Integer.parseInt(numArr[i]);
            buffer.append(initArr[inx]);
        }

//        //随机加入混淆字符
//        String[] cwkArr = CONFUSED_WORDS_KEY.split("");
//        if(len < LEN_KEY){
//            int l = LEN_KEY - len;
//            for(int i = 0; i < l; i++){
//                int index = (int)(Math.random()*buffer.length());
//                int inx = (int)(Math.random()*(CONFUSED_WORDS_KEY.length()));
//                buffer.insert(index,cwkArr[inx]);
//            }
//        }
        String result = buffer.toString();
        return result;
    }

    /**
     * 解密算法
     * */
    public static String decrypt(String str){
        if(null == str || "".equals(str)){
            System.out.println("参数为空");
            return null;
        }
//        int l = CONFUSED_WORDS_KEY.length();
//        String[] cwkArr = CONFUSED_WORDS_KEY.split("");
//        for(int i = 0; i < l; i++){
//            str = str.replaceAll(cwkArr[i],"");
//        }
        String[] initArr = str.split("");
        int len = initArr.length;
        StringBuffer result = new StringBuffer();
        for(int i = 0; i < len; i++ ){
            int k = CONVERT_KEY.indexOf(initArr[i]);
            if(k == -1){
                System.out.println("转化失败：" + str);
                return null;
            }
            result.append(k);
        }
        Long number;
        try {
            long total = Long.parseLong(result.toString());
            long sum = total/SECRET_KEY;
            number = sum ;
            System.out.println("解密后数字：" + number);
        } catch (NumberFormatException e) {
            e.printStackTrace();
            return null;
        }
        String s = number.toString();
        String strh = null;
        if (s.substring(0,2).equals("11")){
            strh = s.substring(s.length() -2,s.length());
            return strh;
        }else {
            return s;
        }
    }


    /**
     *  数字校验
     * */
    public static boolean isNumber(String value) {
        String pattern = "^[0-9]*[1-9][0-9]*$";
        boolean isMatch = Pattern.matches(pattern, value);
        return isMatch;
    }
}
