package com.isoft.project.timedTask;

import com.isoft.project.common.CommonController;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


/**
 * @Description: 定时任务
 */
@Component
public class TimeTasks {

    @Autowired
    private CommonController  commonController;


    /**
     * @MethodName: deleteFile
     * @Description: 计划任务的入口，每天凌晨4点，删除前一天文件夹
     */
    @Scheduled(cron = "0 35 16 * * ?")
    @Async
    public void calculateScore() {
        commonController.deleteFile();
    }



}
