package com.isoft.project.upload.mapper;

import com.isoft.project.upload.domain.OssInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 迅达云对象存储
 */
@Repository
public interface OssInfoMapper {

    /**
     * 批量存oss
     * @param list
     * @return
     */
    int batchInsertOssInfo(List<OssInfo> list);

    /**
     * 根据主键查找
     * @param id
     * @return
     */
    OssInfo selectOssInfoByPrimaryKey(String id);

    /**
     * 根据多个主键查找
     * @param idArray 可能多个
     * @return
     */
    List<OssInfo> selectOssInfoByPrimaryKeys(@Param("idArray") List<String> idArray);



}
